﻿<%@ Register Src="Copyright.ascx" TagPrefix="BaseWebmail" TagName="Copyright" %>
<%@ Register Src="Logo.ascx" TagPrefix="BaseWebmail" TagName="Logo" %>
<%@ Page language="c#" Codebehind="webmail.aspx.cs" AutoEventWireup="false" Inherits="WebMailLite.webmail" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
<html id="html">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<meta http-equiv="Pragma" content="cache" />
	<meta http-equiv="Cache-Control" content="public" />
	<title><%=settings.SiteName%></title>
	<link rel="stylesheet" href="skins/<%=defaultSkin%>/styles.css" type="text/css" id="skin" />
	<script type="text/javascript">
		function ResizeBodyHandler() {}
	</script>
</head>

<body onresize="ResizeBodyHandler();" onload="Ready(INIT_BODY);">
	<table class="wm_information" id="info_cont">
		<tr>
			<td class="wm_info_message" id="info_message">
				<%=_resMan.GetString("InfoWebMailLoading")%>
			</td>
	</tr>
	</table>
	<div align="center" id="content" class="wm_hide">
		<BaseWebmail:Logo id="Control_Logo" runat="server"></BaseWebmail:Logo>
	</div>
	<BaseWebmail:Copyright id="Control_Copyright" runat="server"></BaseWebmail:Copyright>
	<iframe name="session_saver" id="session_saver" src="session_saver.aspx" width="1" height="1" border="0" style="width:1px;height;1px;border:0px;display:none;"></iframe>
</body>
<script type="text/javascript">
	var LoginUrl = 'default.aspx';
	var WebMailUrl = 'webmail.aspx';
	var BaseWebMailUrl = 'webmail.aspx';
	var ActionUrl = 'xml_processing.aspx';
	var EmptyHtmlUrl = 'empty.html';
	var UploadUrl = 'upload.aspx';
	var HistoryStorageUrl = 'history-storage.aspx';
	var LanguageUrl = 'langs_js.aspx';
	var Title = '<%=defaultTitle%>';
	var SkinName = '<%=defaultSkin%>';
	var Start = <%=start.ToString()%>;
	var ToAddr = '<%=to%>';
	var Browser;
	var WebMail, HistoryStorage;

	var INIT_DEFINES            = 0;
	var INIT_COMMON             = 1;
	var INIT_AJAX_COMMON        = 2;
	var INIT_FUNCTIONS          = 3;
	var INIT_FUNCTIONS_HANDLERS = 4;
	var INIT_WEBMAIL            = 5;
	var INIT_WEBMAIL_PARTS      = 6;
	var INIT_MAIL               = 7;
	var INIT_SCREENS_PARTS      = 8;
	var INIT_MESSAGES_LIST      = 9;
	var INIT_VIEW_MESSAGE       = 10;
	var INIT_MESSAGES_LIST_VIEW = 11;
	var INIT_NEW_MESSAGE        = 12;
	var INIT_BODY               = 13;

	var ReadyInit = Array();
	ReadyInit[INIT_DEFINES]            = false;
	ReadyInit[INIT_COMMON]             = false;
	ReadyInit[INIT_AJAX_COMMON]        = false;
	ReadyInit[INIT_FUNCTIONS]          = false;
	ReadyInit[INIT_FUNCTIONS_HANDLERS] = false;
	ReadyInit[INIT_WEBMAIL]            = false;
	ReadyInit[INIT_WEBMAIL_PARTS]      = false;
	ReadyInit[INIT_MAIL]               = false;
	ReadyInit[INIT_SCREENS_PARTS]      = false;
	ReadyInit[INIT_MESSAGES_LIST]      = false;
	ReadyInit[INIT_VIEW_MESSAGE]       = false;
	ReadyInit[INIT_MESSAGES_LIST_VIEW] = false;
	ReadyInit[INIT_NEW_MESSAGE]        = false;
	ReadyInit[INIT_BODY]        = false;

	function Ready(fileId)
	{
		ReadyInit[fileId] = true;
		var isReady = true;
		for (var i=0; i<=INIT_BODY; i++)
		{
			if (ReadyInit[i] == false)
			{
				isReady = false;
				break;
			}
		}
		if (isReady) Init();
	}

	function Init() {
		Browser = new CBrowser();
		var DataTypes = [
			new CDataType(TYPE_SETTINGS_LIST, false, 0, false, { }, 'settings_list' ),
			new CDataType(TYPE_MESSAGES_LIST, true, 5, false, { Page: 'page' }, 'messages' ),
			new CDataType(TYPE_MESSAGES_OPERATION, false, 0, false, { }, '' ),
			new CDataType(TYPE_MESSAGE, true, 10, true, { Charset: 'charset' }, 'message' ),
			new CDataType(TYPE_ACCOUNT_PROPERTIES, false, 0, false, { }, 'account' ),
		];
		WebMail = new CWebMail(Title, SkinName);
		WebMail.DataSource = new CDataSource( DataTypes, ActionUrl, ErrorHandler, InfoHandler, LoadHandler, TakeDataHandler, ShowLoadingInfoHandler );
		HistoryStorage = new CHistoryStorage(
				{
					Document: document,
					HistoryStorageObjectName: "HistoryStorage",
					PathToPageInIframe: HistoryStorageUrl,
					MaxLimitSteps: 50,
					Browser: Browser
				}
			);
		if (Start)
		{
			WebMail.SetStartScreen(Start);
		}
		WebMail.DataSource.Get(TYPE_SETTINGS_LIST, { }, [], '');
	}
</script>
<script type="text/javascript">
	var copy = document.getElementById('copyright');
	if (copy) copy.className = 'wm_hide';
</script>
<script type="text/javascript" src="_defines.js"></script>
<script type="text/javascript" src="langs_js.aspx"></script>
<script type="text/javascript" src="class.common.js"></script>
<script type="text/javascript" src="class.ajax-common.js"></script>
<script type="text/javascript" src="_functions.js"></script>
<script type="text/javascript" src="_functions_handlers.js"></script>
<script type="text/javascript" src="class.webmail.js"></script>
<script type="text/javascript" src="class.webmail-parts.js"></script>
<script type="text/javascript" src="class.mail.js"></script>
<script type="text/javascript" src="class.screens-parts.js"></script>
<script type="text/javascript" src="screen.messages-list.js"></script>
<script type="text/javascript" src="screen.view-message.js"></script>
<script type="text/javascript" src="screen.messages-list-view.js"></script>
<script type="text/javascript" src="screen.new-message.js"></script>
</html>
